#pragma once
#include "Entity.h"
#define CS_DEATHTRAP_CREATENAME L"CS_deathtrap"
//死亡陷阱
class CS_DeathTrap :
    public Entity
{
public:
    CS_DeathTrap();
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    void AttackEffectObject(std::weak_ptr<Entity> target, float centerX, float centerY, int realDamage) override;//攻击后产生的效果物体
};

std::shared_ptr<Entity> CreateCS_DeathTrap();
